{% extends 'main_app/base.html' %}

{% block content %}
    <div class="container">
        <div class="row my-5">
            <div class="col-8 col-md-9">
                <div class="row">
                    <div class="col-8">
                        <h1>{{ course.code }}: {{ course.name }}</h1>
                    </div>
                    <div class="col-4 py-1">
                        {% if isTeacher %}
                            <a href="{% url 'edit_course' course.id %}" class="btn btn-warning">Edit</a>
                        {% endif %}

                        {% if isAssistant or isTeacher %}
                            <a href="{% url 'create_assignment' %}" class="btn btn-warning">Create Assignment</a>
                        {% endif %}
                    </div>
                </div>
                <div class="row">
                    <div class="col">
                        {% if assignment_groups|length > 0 %}
                            <h4>Assignments</h4>
                            {% for assignment_group in assignment_groups %}
                                {% if assignment_group.period %}
                                    <h5>{{ assignment_group.period }}</h5>
                                {% else %}
                                    <h5>No Period</h5>
                                {% endif %}
                                <ul>
                                    {% for assignment in assignment_group.assignments %}
                                        <li><a href="{% url 'assignment' assignment.pk %}">{{ assignment.title }}</a>
                                        {% if assignment.deadline %}
                                            Deadline: {{ assignment.deadline }}
                                        {% endif %}
                                        {% if not assignment.published %}
                                            (Not published)
                                        {% endif %}
                                        </li>
                                    {% endfor %}
                                </ul>
                            {% endfor %}
                        {% else %}
                            <h4>No assignments exist yet.</h4>
                        {% endif %}
                    </div>
                </div>
            </div>
            <div class="col-4 col-md-3">
                <div class="row my-3">
                    <div class="card w-100">
                        <div class="card-body">
                            <h5 class="card-title">Teachers</h5>
                        </div>
                        <ul class="list-group list-group-flush">
                            {% for teacher in teachers %}
                                <li class="list-group-item d-flex justify-content-between align-items-center">
                                    {{ teacher.user }}
                                </li>
                            {% endfor %}
                        </ul>
                    </div>
                </div>
                <div class="row my-3">
                    <div class="card w-100">
                        <div class="card-body">
                            <h5 class="card-title">Assistants</h5>
                        </div>
                        {% if assistants|length > 0 %}
                            <ul class="list-group list-group-flush">
                                {% for assistant in assistants %}
                                    <li class="list-group-item d-flex justify-content-between align-items-center">
                                        {{ assistant.user }}
                                    </li>
                                {% endfor %}
                            </ul>
                        {% else %}
                            <ul class="list-group list-group-flush">
                                <li class="list-group-item d-flex justify-content-between align-items-center">
                                    There are no assistants.
                                </li>
                            </ul>
                        {% endif %}


                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock content %}